// #autoload
// #name = DistanceLOS
// #include = support/player_support.cs
// #include = support/team_tracker.cs
// #category = ilys' Scripts
navhud.markerImageNames[1] = "gui/hud_dot";
package DistanceLOS
{
	function clientCmdTaskInfo(%client, %aiObjtive, %team, %description)
	{
		if(%client == teamtracker.myID && strstr(%description, "Attack at location") != -1) %description = " ";
		parent::clientCmdTaskInfo(%client, %aiObjtive, %team, %description);
	}
	function clientCmdPotentialTask(%from, %description)
	{
		if(detag(%from) $= teamtracker.myName && strstr(%description, "Attack at location") != -1) return;
		parent::clientCmdPotentialTask(%from, %description);
	}
	function OptionsDlg::onWake(%this)
	{
		if(!$DistanceLOSKeys)
		{
			$RemapName[$RemapCount]="DistanceLOS";
			$RemapCmd[$RemapCount]="DistanceLOS";
			$RemapCount++;
			$DistanceLOSKeys = 1;
		}
		parent::onWake(%this);
	}
};
activatePackage(DistanceLOS);
function DistanceLOS(%val)
{
	if(!%val) return;
	ServerConnection.sendLOSTarget();
	commandToServer('BuildClientTask', 'AttackLocation', false);
	commandToServer('SendTaskToClient', PlayerList.getMyID(), true);
}
